/// <reference types="react" />
import { FlexProps } from '@chakra-ui/react';
import { ReplaceMerge } from '../types';
import { SVGProps } from './svg';
type PagerCircleProps = Omit<SVGProps, 'width' | 'height'> & {
    selected?: boolean;
};
export declare function PagerCircle({ selected, ...props }: PagerCircleProps): JSX.Element;
type PagerProps = ReplaceMerge<FlexProps, {
    total: number;
    selection: number;
    onSelect(index: number): void;
    hover?: boolean;
}>;
export declare function Pager({ total, selection, onSelect, hover, ...props }: PagerProps): JSX.Element;
export {};
