/// <reference types="react" />
import { TSX } from '../types';
export type SVGProps = TSX<'svg', {
    width: number;
    height: number;
}>;
export type SVGIconProps = Omit<TSX<'svg', {
    width?: number;
    height?: number;
}>, 'stroke' | 'strokeLinecap' | 'strokeLinejoin'>;
export declare const SVG: ({ width, height, viewBox, ...props }: SVGProps) => JSX.Element;
export declare const LinearGradient: ({ color, opacity, ...props }: TSX<'linearGradient'>) => JSX.Element;
export declare const DefLinearGradient: (props: TSX<'linearGradient'>) => JSX.Element;
