import { Dispatch, SetStateAction } from 'react';
export type Nullish = null | undefined;
export type Nullable<T> = T | null;
export type Maybe<T> = T | undefined;
export type Optional<T> = T | Nullish;
export type ReplaceMerge<T, U> = Omit<T, keyof U> & U;
export type SetStateFn<T> = Dispatch<SetStateAction<T>>;
type X = JSX.IntrinsicElements;
type K = keyof X;
export type TSXRef<T extends K, U = unknown> = ReplaceMerge<X[T], U & {
    ref: Exclude<X[T]['ref'], string>;
}>;
export type TSX<T extends K, U = unknown> = Omit<TSXRef<T, U>, 'ref'>;
export {};
